﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;
using Telerik.Windows.Controls;
using System.Collections.ObjectModel;

namespace RadTabControlExample
{
    public partial class MainPage : UserControl
    {
        public MainPage()
        {
            InitializeComponent();

            var source = new QTabs();
            tabControl.ItemsSource = source.Tabs;
        }
    }

    public class QTabs
    {
        public ObservableCollection<QTab> Tabs { get; set; }
        public QTabs()
        {
            Tabs = new ObservableCollection<QTab>
                (
                    new QTab[] {
                    new QTab { Header="Header 1",Value="Value 1"},
                    new QTab { Header="Header 2",Value="Value 2"},
                    new QTab { Header="Header 3",Value="Value 3", IsVisible= Visibility.Collapsed},
                    new QTab { Header="Header 4",Value="Value 4"},
                    new QTab { Header="Header 5",Value="Value 5"}
                }
                );
        }
    }

    public class QTab
    {
        public string Header { get; set; }
        public string Value { get; set; }
        public Visibility IsVisible { get; set; }
        public QTab()
        {
            IsVisible = Visibility.Visible;
        }
    }

}
